Skip to content

闪电

Access Restriction

This API is a premium service available only to enterprise tier developers. Please contact Caiyun Sales to purchase.

Request

http
GET https://api.caiyunapp.com/v1/lightning

Query Parameters

NameRequiredDefaultRangeDescription
tokenYesAPI token; see Authentication
boundsYeslng1,lat1,lng2,lat2, ordered left-bottom-right-top
durationYes0~600Number of recent seconds to return

Request Example

bash
curl "https://api.caiyunapp.com/v1/lightning?bounds=85.873123,0.048410,129.728954,55.057315&duration=90&token={token}"

Response Example

json
{
  "status": "ok",
  "server_time": 1750672564,
  "version": "V2.0",
  "start_time": 1750672503,
  "statistic": {
    "count": 41,
    "max_slope": 0,
    "max_intensity": -190.439
  },
  "data": [
    {
      "intensity": -190.439,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 190.439,
      "lat": 26.52,
      "lng": 113.34,
      "count": 0
    },
    {
      "intensity": -116.124,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 116.124,
      "lat": 27.87,
      "lng": 120,
      "count": 1
    },
    {
      "intensity": -44.3,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 44.3,
      "lat": 26.49,
      "lng": 113.37,
      "count": 4
    },
    {
      "intensity": -29.907,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 29.907,
      "lat": 28.71,
      "lng": 120.87,
      "count": 9
    },
    {
      "intensity": -21.075,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 21.075,
      "lat": 26.67,
      "lng": 119.52,
      "count": 16
    },
    {
      "intensity": 13.35,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 13.35,
      "lat": 27.33,
      "lng": 120.24,
      "count": 25
    }
  ]
}

Response Fields

JSONPathTypeDescription
$.statusstringResponse status
$.server_timenumberServer time
$.start_timenumberData start time
$.versionstringInternal version
$.statistic.countnumberTotal lightning count
$.statistic.max_intensitynumberMaximum return-stroke intensity
$.statistic.max_slopenumberMaximum return-stroke slope
$.dataarray<object>Lightning observations
$.data[].time_stepnumberInternal time step, equal to a timestamp
$.data[].slopenumberMaximum return-stroke slope
$.data[].countnumberLightning count in the grid cell
$.data[].strengthnumberReturn-stroke intensity in kA
$.data[].intensitynumberSigned return-stroke intensity in kA
$.data[].latnumberLatitude
$.data[].lngnumberLongitude